Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing.svg
Class SVGDocumentLoader

    java.lang.Object
      java.lang.Thread
          org.apache.batik.util.HaltingThread
              org.apache.batik.swing.svg.SVGDocumentLoader

All Implemented Interfaces:
  Runnable

    public class SVGDocumentLoader

extends HaltingThread

This class represents an object which loads asynchroneaously a SVG document.

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary
`protected Exception` | `exception` The exception thrown.
`protected List` | `listeners` The listeners.
`protected DocumentLoader` | `loader` The document loader.
`protected String` | `url` The URL of the document,

Fields inherited from class org.apache.batik.util.HaltingThread
`beenHalted`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`SVGDocumentLoader(String u, DocumentLoader l)` Creates a new SVGDocumentLoader.

Method Summary
`void` | `addSVGDocumentLoaderListener(SVGDocumentLoaderListener l)` Adds a SVGDocumentLoaderListener to this SVGDocumentLoader.
`void` | `fireEvent(EventDispatcher.Dispatcher dispatcher, Object event)`
`Exception` | `getException()` Returns the exception, if any occured.
`void` | `removeSVGDocumentLoaderListener(SVGDocumentLoaderListener l)` Removes a SVGDocumentLoaderListener from this SVGDocumentLoader.
`void` | `run()` Runs this loader.

Methods inherited from class org.apache.batik.util.HaltingThread
`clearHalted, halt, haltThread, haltThread, hasBeenHalted, hasBeenHalted, isHalted`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### url

    protected String url

  The URL of the document,

### loader

    protected DocumentLoader loader

  The document loader.

### exception

    protected Exception exception

  The exception thrown.

### listeners

    protected List listeners

  The listeners.

Constructor Detail

### SVGDocumentLoader

    public SVGDocumentLoader(String u,
                             DocumentLoader l)

  Creates a new SVGDocumentLoader.

  Parameters:
    `u` - The URL of the document.
    `l` - The document loader to use

Method Detail

### run

    public void run()

  Runs this loader.

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

### getException

    public Exception getException()

  Returns the exception, if any occured.

### addSVGDocumentLoaderListener

    public void addSVGDocumentLoaderListener(SVGDocumentLoaderListener l)

  Adds a SVGDocumentLoaderListener to this SVGDocumentLoader.

### removeSVGDocumentLoaderListener

    public void removeSVGDocumentLoaderListener(SVGDocumentLoaderListener l)

  Removes a SVGDocumentLoaderListener from this SVGDocumentLoader.

### fireEvent

    public void fireEvent(EventDispatcher.Dispatcher dispatcher,
                          Object event)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.